// --------------------------------------------------------
// Code generated by Papyrus C
// --------------------------------------------------------

/* 
 * File generated from the CCodegenTest::Class3 uml class
 * Generated by the Papyrus C Generator (CEA LIST) 
 *
 */

// Include self header
#include "Class3.h"
// Derived includes
// Include from Include stereotype (body)
#include <Class1.h>
#include <Class2.h>
// End of Include from Include stereotype (body)

/*
 * ------- Default constructor & destructor implementations ------
 */

/**
 * Inherited method overriding.
 */
double Class3_virtualOp(Class3 *self, double a, double b) {
	return a + b;
}

/**
 * Inherited virtual destructor
 */
void Class3__Class3(Class3 *self) {
}

/**
 * Default constructor
 */
Class3*
Class3_Class3() {
}

